Package Details: rednotebook 2.18-1

Git Clone URL: https://aur.archlinux.org/rednotebook.git (read-only, click to copy)
Package Base: rednotebook
Description: A simple desktop diary.
Upstream URL: http://rednotebook.sourceforge.net
Keywords: diary notes personal
Licenses: GPL2
Submitter: FadeMind
Maintainer: SanskritFritz
Last Packager: SanskritFritz
Votes: 38
Popularity: 0.001615
First Submitted: 2015-08-12 04:14
Last Updated: 2020-03-05 16:00

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

SanskritFritz commented on 2018-11-10 13:25

My archlinux is 2 months old now, I'll do a pacman -Syu and see what happens.

flash872 commented on 2018-11-10 13:17

Thanks for your post. Yes, my system is up-to-date.

I don't know if this is relevant, but in my system, there is no file /lib/python3.7/site-packages/gi/init.py. Rather, there is a file /lib/python3.7/site-packages/gi/_init_.py.

Does this tell anything?

SanskritFritz commented on 2018-11-10 13:15

That is strange, it looks like an old bug: https://github.com/jendrikseipp/rednotebook/issues/326 Is your system up-to-date?

flash872 commented on 2018-11-10 13:00

Hi!

As of the last update (2018-11-09), I'm receiving the following error:

" Traceback (most recent call last): File "/usr/bin/rednotebook", line 6, in <module> import journal ModuleNotFoundError: No module named 'journal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/rednotebook", line 11, in <module> import rednotebook.journal File "/usr/lib/python3.7/site-packages/rednotebook/journal.py", line 44, in <module> gi.require_version('GtkSource', '3.0') File "/usr/lib/python3.7/site-packages/gi/init.py", line 127, in require_version raise ValueError('Namespace %s not available' % namespace) ValueError: Namespace GtkSource not available "

This error is consistent across all my arch machines (4).

Not sure what to do next. Sincere thanks for any assistance!

SanskritFritz commented on 2018-08-12 18:16

You're right, thanks.

cameel commented on 2018-08-11 14:06

Python has just been updated to 3.7 in the main repositories. Since this package installs its files in /usr/lib/python3.x/site-packages/ (where 3.x is the Python version installed when it's built), Rednotebook stops working for anyone who has not rebuilt the package after updating to Python 3.7.

Maybe it would be a good idea to bump pkgrel so that AUR helpers see it as a new release and suggest an update?

Otherwise you get an error when you run the program: a stack trace and a cryptic ModuleNotFoundError: No module named 'journal' error that says what happened (journal module is missing) but it may not be clear why (it's still installed but for a different version of the interpreter). Bumping pkgrel could save people some debugging.

SanskritFritz commented on 2018-01-15 09:52

Thanks tedbuckland.

tedbuckland commented on 2018-01-14 10:27

It seems that the dependency "python-gobject" is missing (here and in the rednotebook-git package). This should also fix the problem in the last comment.

NKataDelYoda commented on 2017-12-06 19:22

I received the following error on installation:

Traceback (most recent call last): File "/usr/bin/rednotebook", line 6, in <module> import journal ModuleNotFoundError: No module named 'journal'</module>

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/rednotebook", line 11, in <module> import rednotebook.journal File "/usr/lib/python3.6/site-packages/rednotebook/journal.py", line 43, in <module> gi.require_version("Gtk", "3.0") AttributeError: module 'gi' has no attribute 'require_version'</module></module>

I did a "pip install journal", and now the module is found, but now I get the error "AttributeError: module 'journal' has no attribute 'main'".

Is this an issue with the journal module, or perhaps the Python version installed on my system? I'm running a straight Arch installation.

SanskritFritz commented on 2017-10-13 08:01

You're right, thank you for the heads-up!